Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0020844
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformmajorhave not tried2012-06-22 23:532012-06-28 10:21
ReportermtaalView Statuspublic 
Assigned Tomtaal 
PrioritynormalResolutionfixedFixed in Version3.0MP13
StatusclosedFix in branchFixed in SCM revisionb10d1c33cb91
ProjectionnoneETAnoneTarget Version3.0MP13
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0020844: Implement computed column/property

DescriptionThis feature request is to implement computed properties which use a sql expression to compute it.
Steps To Reproduce.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00317693.0PR16Q3 closedNaroaIriarte Unneeded left joins in DefaultJsonDataService 

-  Notes
(0050180)
hgbot (developer)
2012-06-27 09:23

Repository: erp/devel/pi
Changeset: b10d1c33cb91e1fe75e6f1537232e80caa2ce73a
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Fri Jun 22 23:56:47 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/b10d1c33cb91e1fe75e6f1537232e80caa2ce73a [^]

Fixes issue 20844: Implement computed column/property
Implement computed property functionality

---
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_COLUMN.xml
M modules/org.openbravo.client.application/src/org/openbravo/client/application/event/FieldHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/OBViewFieldHandler.java
M src-db/database/model/tables/AD_COLUMN.xml
M src-db/database/model/triggers/AD_COLUMN_MOD_TRG.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src/org/openbravo/base/model/Column.hbm.xml
M src/org/openbravo/base/model/Column.java
M src/org/openbravo/base/model/ModelProvider.java
M src/org/openbravo/base/model/Property.java
M src/org/openbravo/dal/core/DalMappingGenerator.java
---
(0050181)
hgbot (developer)
2012-06-27 09:23

Repository: erp/devel/pi
Changeset: faf4c7e94fe04fb4761175a732fb471fe679591b
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Mon Jun 25 16:20:17 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/faf4c7e94fe04fb4761175a732fb471fe679591b [^]

Related to issue 20844: Implement computed column/property

---
M src-test/org/openbravo/test/dal/DalPerformanceExampleTest.java
M src/org/openbravo/dal/core/DalMappingGenerator.java
---
(0050183)
hgbot (developer)
2012-06-27 09:23

Repository: erp/devel/pi
Changeset: aaf48c671a31fb0f943348b0704de3d1c63cbd70
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Tue Jun 26 10:20:43 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/aaf48c671a31fb0f943348b0704de3d1c63cbd70 [^]

Related to issue 20844: Implement computed column/property

---
M modules/org.openbravo.service.json/src/org/openbravo/service/json/DefaultJsonDataService.java
---
(0050215)
hudsonbot (developer)
2012-06-27 20:42

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/57da6de99a39 [^]

Maturity status: Test
(0050216)
hudsonbot (developer)
2012-06-27 20:42

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/57da6de99a39 [^]

Maturity status: Test
(0050217)
hudsonbot (developer)
2012-06-27 20:42

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/57da6de99a39 [^]

Maturity status: Test
(0050246)
alostale (developer)
2012-06-28 10:21

code reviewed in pi@3b4adfb72e90

- Issue History
Date Modified Username Field Change
2012-06-22 23:53 mtaal New Issue
2012-06-22 23:53 mtaal Assigned To => mtaal
2012-06-22 23:53 mtaal Modules => Core
2012-06-27 09:23 hgbot Checkin
2012-06-27 09:23 hgbot Note Added: 0050180
2012-06-27 09:23 hgbot Status new => resolved
2012-06-27 09:23 hgbot Resolution open => fixed
2012-06-27 09:23 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/b10d1c33cb91e1fe75e6f1537232e80caa2ce73a [^]
2012-06-27 09:23 hgbot Checkin
2012-06-27 09:23 hgbot Note Added: 0050181
2012-06-27 09:23 hgbot Checkin
2012-06-27 09:23 hgbot Note Added: 0050183
2012-06-27 20:42 hudsonbot Checkin
2012-06-27 20:42 hudsonbot Note Added: 0050215
2012-06-27 20:42 hudsonbot Checkin
2012-06-27 20:42 hudsonbot Note Added: 0050216
2012-06-27 20:42 hudsonbot Checkin
2012-06-27 20:42 hudsonbot Note Added: 0050217
2012-06-28 10:21 alostale Note Added: 0050246
2012-06-28 10:21 alostale Status resolved => closed
2012-06-28 10:21 alostale Fixed in Version => 3.0MP13
2016-04-01 08:31 alostale Relationship added related to 0031769


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker